Package anbxj

# Class Crypto_KeyStoreSettings

java.lang.Object
anbxj.Crypto_KeyStoreSettings

All Implemented Interfaces:
  `Serializable`

public class Crypto_KeyStoreSettings extends Object implements Serializable
Keystore Settings

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_KeyStoreSettings(String path, String myAlias, String enc)`
  Constructs a Crypto_KeyStoreSettings object.
  `Crypto_KeyStoreSettings(String localKeyStore, String passphraseLocalKeyStore, String remoteKeyStore, String passphraseRemoteKeyStore, String passphrasePrivateKeyLocalKeyStore, String keyStoreType, String myAlias, String rootCA)`
  Constructs a Crypto_KeyStoreSettings object with specified parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCertificateType()`
  Gets the certificate type.
  `String`
  `getKeyStoreType()`
  Gets the key store type.
  `String`
  `getLocalKeyStore()`
  Gets the local key store path.
  `String`
  `getMyAlias()`
  Gets the alias used in the keystore.
  `String`
  `getPassphraseLocalKeyStore()`
  Gets the passphrase for the local keystore.
  `String`
  `getPassphrasePrivateKeyLocalKeyStore()`
  Gets the passphrase for the private key in the local keystore.
  `String`
  `getPassphraseRemoteKeyStore()`
  Gets the passphrase for the remote keystore.
  `String`
  `getRemoteKeyStore()`
  Gets the path of the remote keystore.
  `String`
  `getRootCA()`
  Gets the root CA path.
  `void`
  `setCertificateType(String certificateType)`
  Sets the certificate type.
  `void`
  `setKeyStoreType(String keyStoreType)`
  Sets the key store type.
  `void`
  `setRootCA(String rootCA)`
  Sets the root CA path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Crypto_KeyStoreSettings

    public Crypto_KeyStoreSettings(String localKeyStore, String passphraseLocalKeyStore, String remoteKeyStore, String passphraseRemoteKeyStore, String passphrasePrivateKeyLocalKeyStore, String keyStoreType, String myAlias, String rootCA)
    Constructs a Crypto_KeyStoreSettings object with specified parameters.
    Parameters:
      `localKeyStore` - The path to the local keystore file.
      `passphraseLocalKeyStore` - The passphrase for the local keystore.
      `remoteKeyStore` - The path to the remote keystore file.
      `passphraseRemoteKeyStore` - The passphrase for the remote keystore.
      `passphrasePrivateKeyLocalKeyStore` - The passphrase for the private key in the local keystore.
      `keyStoreType` - The type of the keystore.
      `myAlias` - The alias used in the keystore.
      `rootCA` - The root certificate authority (can be null).

  - ### Crypto_KeyStoreSettings

    public Crypto_KeyStoreSettings(String path, String myAlias, String enc)
    Constructs a Crypto_KeyStoreSettings object.
    Parameters:
      `path` - The path where the configuration file is located.
      `myAlias` - The alias used in the keystore.
      `enc` - The encryption identifier.

- ## Method Details

  - ### getCertificateType

    public String getCertificateType()
    Gets the certificate type.
    Returns:
      the certificateType

  - ### getKeyStoreType

    public String getKeyStoreType()
    Gets the key store type.
    Returns:
      the keyStoreType

  - ### getLocalKeyStore

    public String getLocalKeyStore()
    Gets the local key store path.
    Returns:
      the localKeyStore

  - ### getMyAlias

    public String getMyAlias()
    Gets the alias used in the keystore.
    Returns:
      the myAlias

  - ### getPassphraseLocalKeyStore

    public String getPassphraseLocalKeyStore()
    Gets the passphrase for the local keystore.
    Returns:
      the passphraseLocalKeyStore

  - ### getPassphraseRemoteKeyStore

    public String getPassphraseRemoteKeyStore()
    Gets the passphrase for the remote keystore.
    Returns:
      the passphraseRemoteKeyStore

  - ### getRemoteKeyStore

    public String getRemoteKeyStore()
    Gets the path of the remote keystore.
    Returns:
      the remoteKeyStore

  - ### setCertificateType

    public void setCertificateType(String certificateType)
    Sets the certificate type.
    Parameters:
      `certificateType` - the certificateType to set

  - ### setKeyStoreType

    public void setKeyStoreType(String keyStoreType)
    Sets the key store type.
    Parameters:
      `keyStoreType` - the keyStoreType to set

  - ### getPassphrasePrivateKeyLocalKeyStore

    public String getPassphrasePrivateKeyLocalKeyStore()
    Gets the passphrase for the private key in the local keystore.
    Returns:
      the passphrasePrivateKeyLocalKeyStore

  - ### getRootCA

    public String getRootCA()
    Gets the root CA path.
    Returns:
      the rootCA

  - ### setRootCA

    public void setRootCA(String rootCA)
    Sets the root CA path.
    Parameters:
      `rootCA` - the rootCA to set